Is there a way to restrict usages of specific package?

Is there any inspection which disallows usages of specific packages? I can mark all classes with external @Deprecated annotation, but it's not very handy, because I have to enumerate them all.

2 comments
Comment actions Permalink

@Deprecated annotation can be applied to a package but currently IDEA doesn't highlight references to deprecated packages accordingly (see
http://youtrack.jetbrains.com/issue/IDEA-51745).

--
Nikolay Chashnikov
Software Developer
JetBrains
http://www.jetbrains.com
"Develop with pleasure!"

0
Comment actions Permalink

Also, I don't see a way to add external annotation for package...

0

Please sign in to leave a comment.